Commit e96db270 by Ruben Rodriguez

Updated toutatis' helpers for linux plymouth gnome-control-center gnome-menus…

Updated toutatis' helpers for linux plymouth gnome-control-center gnome-menus gnome-panel gnome-tweak-tool grub2 gtk+2.0 hplip liferea
parent 3c295ff4
diff -ru gnome-panel-3.2.0.orig//gnome-panel/menu.c gnome-panel-3.2.0/gnome-panel/menu.c
--- gnome-panel-3.2.0.orig//gnome-panel/menu.c 2011-08-01 17:39:56.000000000 +0000
+++ gnome-panel-3.2.0/gnome-panel/menu.c 2012-03-15 15:56:00.000000000 +0000
--- gnome-panel-3.2.0.orig//gnome-panel/menu.c 2011-08-01 17:39:56.000000000 +0000
+++ gnome-panel-3.2.0/gnome-panel/menu.c 2012-03-15 15:56:00.000000000 +0000
@@ -1388,10 +1388,10 @@
gtk_menu_shell_append (GTK_MENU_SHELL (main_menu), item);
gtk_widget_show (item);
- item = panel_desktop_menu_item_new (TRUE, FALSE);
+ /* item = panel_desktop_menu_item_new (TRUE, FALSE);
- item = panel_desktop_menu_item_new (TRUE, FALSE, FALSE);
+ /*item = panel_desktop_menu_item_new (TRUE, FALSE, FALSE);
panel_desktop_menu_item_set_panel (item, panel);
gtk_menu_shell_append (GTK_MENU_SHELL (main_menu), item);
- gtk_widget_show (item);
......@@ -14,4 +13,3 @@ diff -ru gnome-panel-3.2.0.orig//gnome-panel/menu.c gnome-panel-3.2.0/gnome-pane
panel_menu_items_append_lock_logout (main_menu);
}
Only in gnome-panel-3.2.0.orig/: po
This source diff could not be displayed because it is too large. You can view the blob instead.
This source diff could not be displayed because it is too large. You can view the blob instead.
#! /bin/sh
# Copyright (C) 2008, 2009, 2010, 2011 Alexandre Oliva <lxoliva@fsfla.org>
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA
# deblob-main - prepare a linux-libre tarball out of a non-libre Linux
# tarball. It expects the Linux release (mver, say 3.0) as the first
# argument, the libre sub-release (extra) as the second optional
# argument, and the patch release (sver, say .13) as an optional third
# argument. mver and sver are pasted together to form kver.
# linux-$kver.tar.bz2 and deblob-$mver must exist in the current
# directory, and the line that sets kver and extra in deblob-$mver
# must match mver and extra.
# The resulting tarball is put in linux-$kver-libre$extra.tar.bz2, and
# an uncompressed xdelta that produces linux-$kver-libre$extra.tar out
# of linux-$kver.tar is created as linux-$kver-libre$extra.xdelta.
# This xdelta can be distributed to enable third parties to easily
# reconstruct the binary tarball starting out of sources downloaded
# from kernel.org, but without distributing non-Free Software
# yourself, because xdelta (unlike patches) is not reversible: the
# removed bits are not present in it at all.
# xdelta version 3 uses different command line syntax, and it switched
# to the more standardized but less efficient vcdiff file format.
# This script will also produce a vcdiff file if xdelta3 is present,
# and it expects the xdelta program to use the version 1 syntax.
# To enable you to check the differences between the tarballs, a patch
# file is generated in linux-$kver-libre$extra.patch. This patch file
# contains the non-Free blobs, even though in reversed form, so its
# distribution is discouraged.
# The tar files and binary deltas are finally compressed with bzip2,
# and optionally with lzip and xz too, if the compressors are
# available.
# At the end, the script attempts to generate a digital signature for
# the newly-created tarball. This is the last thing the script does,
# so interrupting it at that point to skip the signing won't fail to
# do anything else.
# It is safe to interrupt the script at any other point. When it gets
# a ^C (other than during signing), it starts cleaning up all of its
# temporary and output files. If you insist, it may leave junk
# behind, and then it will refuse to run again before you clean it up
# by hand. It takes extra care to avoid overwriting useful files.
# If deblob-$mver finds any unexpected situation, it will error out,
# and then deblob-main will quit. Pass --force to deblob-main, before
# any other argument, for deblob-main to ignore any such situations.
case $1 in
--force) force=--force; shift;;
*) force=;;
esac
mver=$1 extra=$2 sver=$3
kver=$mver$sver libre=libre$extra
deblob= dir=`echo "$0" | sed 's,[^/]*$,,;s,^$,.,;s,/*$,,'`
if test ! -f linux-$kver.tar.bz2; then
echo linux-$kver.tar.bz2 does not exist >&2
exit 1
fi
if test -f deblob-$mver; then
deblob=deblob-$mver
elif test -f deblob; then
deblob=deblob
elif test -f $dir/deblob-$mver; then
cp $dir/deblob-$mver deblob
deblob=deblob
else
echo deblob does not exist >&2
exit 1
fi
x1="kver=$mver extra=$extra"
x2=`grep "^kver=[^ ]* extra=" $deblob`
if test "$x1" = "$x2"; then
:
else
echo deblob script does not match command-line arguments >&2
echo expected: $x1 >&2
echo found : $x2 >&2
exit 1
fi
cleanup=
for f in \
linux-$kver-$libre.tar.bz2 \
linux-$kver-$libre.tar.bz2.asc \
linux-$kver-$libre.tar.bz2.sign \
linux-$kver-$libre.tar.xz \
linux-$kver-$libre.tar.xz.asc \
linux-$kver-$libre.tar.xz.sign \
linux-$kver-$libre.tar.lz \
linux-$kver-$libre.tar.lz.asc \
linux-$kver-$libre.tar.lz.sign \
linux-$kver.tar \
linux-$kver-$libre.tar \
linux-$kver-$libre.patch \
linux-$kver-$libre.log \
linux-$kver-$libre.vcdiff \
linux-$kver-$libre.vcdiff.bz2 \
linux-$kver-$libre.vcdiff.bz2.asc \
linux-$kver-$libre.vcdiff.bz2.sign \
linux-$kver-$libre.vcdiff.xz \
linux-$kver-$libre.vcdiff.xz.asc \
linux-$kver-$libre.vcdiff.xz.sign \
linux-$kver-$libre.vcdiff.lz \
linux-$kver-$libre.vcdiff.lz.asc \
linux-$kver-$libre.vcdiff.lz.sign \
linux-$kver-$libre.xdelta \
linux-$kver-$libre.xdelta.bz2 \
linux-$kver-$libre.xdelta.bz2.asc \
linux-$kver-$libre.xdelta.bz2.sign \
linux-$kver-$libre.xdelta.xz \
linux-$kver-$libre.xdelta.xz.asc \
linux-$kver-$libre.xdelta.xz.sign \
linux-$kver-$libre.xdelta.lz \
linux-$kver-$libre.xdelta.lz.asc \
linux-$kver-$libre.xdelta.lz.sign \
; do
if test -f $f; then
echo $f already exists >&2
exit 1
fi
cleanup="$cleanup $f"
done
for d in \
linux-$kver \
linux-$kver-$libre \
orig-linux-$kver \
; do
if test -d $d; then
echo $d already exists >&2
exit 1
fi
cleanup="$cleanup $d"
done
if test -f $dir/deblob-$kver; then
if cmp $dir/deblob-$kver $deblob; then
:
else
echo $dir/deblob-$kver and $deblob are different >&2
exit 1
fi
fi
if test ! -f deblob-check; then
if test -f $dir/deblob-check; then
cp $dir/deblob-check deblob-check
fi
else
if test -f $dir/deblob-check; then
if cmp $dir/deblob-check deblob-check; then
:
else
echo $dir/deblob-check and deblob-check are different >&2
exit 1
fi
fi
fi
trap "status=$?; echo cleaning up...; rm -rf $cleanup; (exit $status); exit" 0 1 2 15
set -e
echo Uncompressing linux-$kver.tar.bz2 into linux-$kver.tar
rm -rf linux-$kver linux-$kver.tar
bunzip2 < linux-$kver.tar.bz2 > linux-$kver.tar
echo Extracting linux-$kver.tar into linux-$kver
tar -xf linux-$kver.tar
rm -rf linux-$kver-$libre linux-$kver-$libre.tar
echo Copying linux-$kver to linux-$kver-$libre
cp linux-$kver.tar linux-$kver-$libre.tar
cp -lR linux-$kver/. linux-$kver-$libre
rm -f linux-$kver-$libre.log linux-$kver-$libre.log.tmp
echo Deblobbing within linux-$kver-$libre, saving output to linux-$kver-$libre.log
# We can't just pipe deblob into tee, for then we fail to detect
# error conditions. Use file renaming to tell whether we succeeded.
if (cd linux-$kver-$libre && /bin/sh ../$deblob $force) 2>&1; then
mv linux-$kver-$libre.log.tmp linux-$kver-$libre.log
fi | tee linux-$kver-$libre.log.tmp
if test ! -f linux-$kver-$libre.log; then
mv linux-$kver-$libre.log.tmp linux-$kver-$libre.log
echo $deblob failed, aborting >&2
exit 1
fi
rm -f linux-$kver-$libre.patch
# Do not copy these scripts for now, deblob-check regards itself as a blob.
# cp -p $0 $deblob deblob-check linux-$kver-$libre
echo Generating linux-$kver-$libre.patch
diff -druN linux-$kver linux-$kver-$libre > linux-$kver-$libre.patch || :
echo Removing removed or modified files from linux-$kver-$libre.tar
diff -rq linux-$kver linux-$kver-$libre |
sed -n "
s,^Only in \\(linux-$kver\\(/.*\\)\\?\\): \\(.*\\),\1/\3,p;
s,^Files \\(linux-$kver\\)/\\(.*\\) and \\1-$libre/\\2 differ,\\1/\\2,p;
" |
xargs tar --delete -f linux-$kver-$libre.tar
echo Adding modified or added files to linux-$kver-$libre.tar
rm -rf orig-linux-$kver
mv linux-$kver orig-linux-$kver
mv linux-$kver-$libre linux-$kver
diff -rq orig-linux-$kver linux-$kver |
sed -n "
s,^Files orig-\\(linux-$kver/.*\\) and \\1 differ,\\1,p;
s,^Only in \\(linux-$kver\\(/.*\\)\\?\\): \\(.*\\),\\1/\\3,p;
" |
xargs tar --append -f linux-$kver-$libre.tar
echo Wiping out extracted trees
rm -rf linux-$kver orig-linux-$kver
echo Creating vcdiff between linux-$kver.tar and linux-$kver-$libre.tar
xdelta3 -e -9 -S djw -s linux-$kver.tar linux-$kver-$libre.tar linux-$kver-$libre.vcdiff || : # don't fail if xdelta3 is not present
echo Creating xdelta between linux-$kver.tar and linux-$kver-$libre.tar
xdelta delta -0 linux-$kver.tar linux-$kver-$libre.tar linux-$kver-$libre.xdelta || : # xdelta returns nonzero on success
echo Compressing binary deltas and linux-$kver-$libre.tar
rm -f linux-$kver.tar
if test -f linux-$kver-$libre.vcdiff; then
bzip2 -k9 linux-$kver-$libre.vcdiff
xz -k9 linux-$kver-$libre.vcdiff || :
lzip -k9 linux-$kver-$libre.vcdiff || :
rm -f linux-$kver-$libre.vcdiff
fi
if test -f linux-$kver-$libre.xdelta; then
bzip2 -k9 linux-$kver-$libre.xdelta
xz -k9 linux-$kver-$libre.xdelta || :
lzip -k9 linux-$kver-$libre.xdelta || :
rm -f linux-$kver-$libre.xdelta
fi
bzip2 -k9 linux-$kver-$libre.tar
xz -k9 linux-$kver-$libre.tar || :
lzip -k9 linux-$kver-$libre.tar || :
rm -f linux-$kver-$libre.tar
trap "status=$?; (exit $status); exit" 0 1 2 15
echo Done except for signing, feel free to interrupt
for f in \
linux-$kver-$libre.tar.bz2 \
linux-$kver-$libre.tar.xz \
linux-$kver-$libre.tar.lz \
linux-$kver-$libre.vcdiff.bz2 \
linux-$kver-$libre.vcdiff.xz \
linux-$kver-$libre.vcdiff.lz \
linux-$kver-$libre.xdelta.bz2 \
linux-$kver-$libre.xdelta.xz \
linux-$kver-$libre.xdelta.lz \
; do
if test -f $f; then
gpg -a --detach-sign $f
mv $f.asc $f.sign
fi
done
echo All set, please review linux-$kver-$libre.patch
exit 0
This source diff could not be displayed because it is too large. You can view the blob instead.
......@@ -3,7 +3,7 @@
bits_per_pixel = Window.GetBitsPerPixel ();
if (bits_per_pixel == 4) {
Window.SetBackgroundColor (0, 0, 0);
logo.image = Image("trisquel-logo16.png");
logo.image = Image("trisquel_logo16.png");
} else {
logo.image = Image("special://logo");
......
......@@ -35,7 +35,7 @@ rm ./debian/patches/53_use_ubuntu_help.patch
sed /use_ubuntu_help/d -i debian/patches/series
# Add Trisquel to the hardcoded list of gtk3 themes
sed 's/"Adwaita"/"Trisquel", "Adwaita"/' -i debian/patches/04_add_theme_selection.patch
#sed 's/"Adwaita"/"Trisquel", "Adwaita"/' -i debian/patches/04_add_theme_selection.patch
# Edit menu selections
cp $DATA/gnomecc.menu.in shell/gnomecc.menu.in
......
......@@ -32,7 +32,7 @@ do
sed /$i/d -i debian/patches/series
done
cp $DATA/applications.menu layout/applications.menu
#cp $DATA/applications.menu layout/applications.menu
changelog "Default layout adapted for Trisquel"
......
......@@ -17,7 +17,7 @@
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
VERSION=1
VERSION=3
. ./config
......@@ -25,7 +25,10 @@ sed "105s/'none'/'color'/; s/rgba(255,255,255,.2)/rgba(000,000,000,.75)/" -i dat
#sed "105s/'none'/'image'/; 115s_''_'file:///usr/share/themes/Trisquel/gtk-3.0/panel-bg.png'_; s/rgba(255,255,255,.2)/rgba(000,000,000,.5)/" -i data/org.gnome.gnome-panel.toplevel.gschema.xml.in.in
sed 's/"tooltip", tooltip,/"tooltip", "Trisquel",/; s/"has-arrow", TRUE,/"has-arrow", FALSE,/' -i gnome-panel/panel-menu-button.c
sed '/gnome-session /d' debian/control*
#sed '/gnome-session /d' debian/control*
rm debian/patches/41_classic_layout.patch
sed /classic_layout/d -i debian/patches/series
cat << EOF > data/panel-default-layout.layout
[Toplevel panel]
......@@ -81,7 +84,7 @@ toplevel-id=panel
EOF
# This patch allows @instance-config/location in the default layout
patch -p1 < $DATA/gnome-panel-improved-default-layout-handling.patch
#patch -p1 < $DATA/gnome-panel-improved-default-layout-handling.patch
# We don't want to show the gnome-online-accounts stuff yet
patch -p1 < $DATA/hide-online-accounts-menu.patch
......
......@@ -17,11 +17,11 @@
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
VERSION=1
VERSION=2
. ./config
sed '/gnome-shell,/d' debian/control* -i
sed '/gnome-shell/d' debian/control* -i
rm gtweak/tweaks/tweak_shell*
changelog "Remove gnome-shell dependency"
......
......@@ -29,7 +29,7 @@ replace "with Linux" "with Linux-Libre" util
replace "with Linux" "with Linux-Libre" debian
replace "Linux" "Linux-Libre" po
sed 's/\(prefix=@prefix@\)/\1\nGRUB_CMDLINE_EXTRA=$( grep -q nomodeset \/proc\/cmdline \&\& echo nomodeset \|\| echo -n "" )/' util/grub.d/10_linux.in -i
#sed 's/\(prefix=@prefix@\)/\1\nGRUB_CMDLINE_EXTRA=$( grep -q nomodeset \/proc\/cmdline \&\& echo nomodeset \|\| echo -n "" )/' util/grub.d/10_linux.in -i
cat << EOF >> debian/default/grub
......@@ -40,9 +40,9 @@ EOF
changelog "Disable rescue mode by default, nomodeset handler"
sed "s/-.*)/-${REVISION}trisquel${VERSION})/" -i debian/changelog
apt-get install -y --force-yes kvm-pxe
#apt-get install -y --force-yes kvm-pxe
# /dev is needed for KVM support
mount none -t devtmpfs /dev || true
#mount none -t devtmpfs /dev || true
compile
umount /dev
#umount /dev
......@@ -21,7 +21,7 @@ VERSION=1
. ./config
sed 's/priv->has_resize_grip = TRUE/priv->has_resize_grip = FALSE/' debian/patches/044_grips.patch -i
sed '/has_resize_grip/s/TRUE/FALSE/' -i gtk/gtkstatusbar.c docs/tools/widgets.c
changelog "Disabled resize grips by default"
......
......@@ -35,6 +35,10 @@ rm $tmp
rm debian/patches/hp_photosmart_pro_b9100_support.dpatch
sed -i '/hp_photosmart_pro_b9100_support.dpatch/d' debian/patches/00list
# Fix compilation problems
sed '/ln -s \/usr\/share\/hplip\/hpssd.py/s:ln.*:cp hpssd.py ./debian/tmp/usr/sbin/hpssd:' -i debian/rules
apt-get install --force-yes -y hplip
changelog "Removed printers with propietary drivers (required and optional)"
compile
......@@ -30,14 +30,14 @@ sed '/mozilla/d' -i ./src/ui/ui_prefs.c
replace mozilla abrowser .
rm debian/patches/01_ubuntu_feedlists debian/patches/debian-example-feeds
sed '/01_ubuntu_feedlists/d; /debian-example-feeds/d;' debian/patches/series -i
rm debian/patches/ubuntu-example-feeds debian/patches/debian-example-feeds
sed '/ubuntu-example-feeds/d; /debian-example-feeds/d;' debian/patches/series -i
rm opml/feedlist_*
sed '/feedlist_/d; s/\(.*feedlist.opml.*\)/\1\n\tfeedlist_es.opml/;' opml/Makefile.* -i
#rm opml/feedlist_*
#sed '/feedlist_/d; s/\(.*feedlist.opml.*\)/\1\n\tfeedlist_es.opml/;' opml/Makefile.* -i
cat << EOF > opml/feedlist.opml
cat << EOF > opml/feedlist
<?xml version="1.0"?>
<opml version="1.0">
<head>
......@@ -72,6 +72,11 @@ cat << EOF > opml/feedlist.opml
</opml>
EOF
for feed in opml/feedlist_*
do
cat opml/feedlist > $feed
done
rm opml/feedlist
cat << EOF > opml/feedlist_es.opml
<?xml version="1.0"?>
......
......@@ -28,7 +28,7 @@ VERSION=1
patch -p1 < $DATA/megaraid.patch
sh $DATA/deblob/deblob-3.0
sh $DATA/deblob/deblob-3.2
# fix a broken line that makes it fail to compile
#sed '304s/$/\nconst struct firmware *fw;/' arch/x86/kernel/microcode_amd.c -i
......
#!/bin/sh
#/bin/sh
#
# Copyright (C) 2008-2010 Rubén Rodríguez <ruben@trisquel.info>
#
......@@ -33,9 +33,9 @@ cat << EOF >> debian/copyright
themes/script/taranis.png Copyright (C) 2010 Rubén Rodríguez, GPL-3 license
themes/glow/sugar.png Copyright (C) 2008 Dongyun Lee CC Attribution 3.0 Unported license
themes/script/trisquel-logo16.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
themes/glow/trisquel-logo16.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
themes/glow/trisquel-logo-sugar.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
themes/script/trisquel_logo16.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
themes/glow/trisquel_logo16.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
themes/glow/trisquel_logo-sugar.png Copyright (C) 2004-2011 Rubén Rodríguez, GPL-3 license
EOF
......@@ -63,21 +63,21 @@ replace 2c001e 000000 .
replace ff4012 0051FF .
cp $DATA/trisquel-logo*.png debian
cp $DATA/*.png themes/script
cp $DATA/script.script themes/script/script.script
cat << EOF > debian/source/include-binaries
themes/script/brigantia.png
themes/glow/sugar.png
themes/script/trisquel-logo16.png
themes/glow/trisquel-logo16.png
themes/glow/trisquel-logo-sugar.png
themes/script/trisquel_logo16.png
themes/glow/trisquel_logo16.png
themes/glow/trisquel_logo-sugar.png
EOF
rm themes/trisquel-logo themes/glow -rf
cp themes/script -a themes/trisquel-logo
cp $DATA/brigantia.png $DATA/trisquel-logo16.png themes/trisquel-logo/
sed -i 's/progress_bar.png/progress_bar.png\\\n\t\tbrigantia.png\\\n\t\ttrisquel-logo16.png/' themes/trisquel-logo/Makefile*
cp $DATA/brigantia.png $DATA/trisquel_logo16.png themes/trisquel-logo/
sed -i 's/progress_bar.png/progress_bar.png\\\n\t\tbrigantia.png\\\n\t\ttrisquel_logo16.png/' themes/trisquel-logo/Makefile*
sed s:/script:/trisquel-logo:g -i themes/trisquel-logo/script.plymouth.in
sed 's:=Script:=Trisquel-logo:g' -i themes/trisquel-logo/script.plymouth.in
sed 's/script\.script/trisquel-logo\.rtoken/g' -i themes/trisquel-logo/Make*
......@@ -92,12 +92,12 @@ sed 's:=Script:=Glow:g' -i themes/glow/script.plymouth.in
sed 's/script\.script/glow\.rtoken/g' -i themes/glow/Make*
sed 's/script/glow/g' -i themes/glow/Make*
sed 's/rtoken/script/g' -i themes/glow/Make*
cp $DATA/sugar.png $DATA/trisquel-logo16.png $DATA/trisquel-logo-sugar.png themes/glow/
cp $DATA/sugar.png $DATA/trisquel_logo16.png $DATA/trisquel_logo-sugar.png themes/glow/
sed -i s/brigantia/sugar/g themes/glow/*
sed -i 's_special://logo_trisquel-logo-sugar.png_g; s/0.3/0.8/' themes/glow/*.script
sed -i 's_special://logo_trisquel\_logo-sugar.png_g; s/0.3/0.8/' themes/glow/*.script
rename s/script.script/glow.script/g themes/glow/*
rename s/script.plymouth.in/glow.plymouth.in/g themes/glow/*
sed -i 's/progress_bar.png/progress_bar.png\\\n\t\tsugar.png\\\n\t\ttrisquel-logo16.png\\\n\t\ttrisquel-logo-sugar.png/' themes/glow/Makefile*
sed -i 's/progress_bar.png/progress_bar.png\\\n\t\tsugar.png\\\n\t\ttrisquel_logo16.png\\\n\t\ttrisquel_logo-sugar.png/' themes/glow/Makefile*
find -type d |xargs rename s/glow/sugar/g
find -type f |xargs rename s/glow/sugar/g
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment